Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cxf.service.model
Enum MessageInfo.Type

    java.lang.Object
      java.lang.Enum<MessageInfo.Type>
          org.apache.cxf.service.model.MessageInfo.Type

All Implemented Interfaces:
  Serializable, Comparable<MessageInfo.Type>

Enclosing class:
  MessageInfo

    public static enum MessageInfo.Type

extends Enum<MessageInfo.Type>

Enum Constant Summary
`INPUT`
`OUTPUT`

Method Summary
`static MessageInfo.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MessageInfo.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INPUT

    public static final MessageInfo.Type INPUT

### OUTPUT

    public static final MessageInfo.Type OUTPUT

Method Detail

### values

    public static final MessageInfo.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MessageInfo.Type c : MessageInfo.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MessageInfo.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Apache CXF